Huri Batash in based on Python and the packages required are Numpy and Matplotlib. (The f2py module for interfacing Xfoil is already included in the Numpy distribution).

A Fortan 77 compiler is needed for the Xfoil module. A public one that works is Gfortran part of GCC-4.1.1. (g77 part of GCC-3.4 does not build the Xfoil module correctly).

If you want to run the graphical interface PyGTK is used and needs to be compiled with the Libglade library.

The developpers are using Python 2.4.3, Numpy 1.0.1, Matplotlib 0.90.0 and PyGTK 2.8. Even though the software needs testing, it should run with similar versions.